'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; } /* eslint-disable */


/**
 * Size is set in px
 * ```javascript
 * import React from 'react';
 * import { CircularProgress } from 'weaveworks-ui-components'
 *
 * React.render(
 *   <div>
 *     <CircularProgress size={35} />
 *     <CircularProgress inline /> Inline
 *     <CircularProgress center />
 *   </div>
 * );
 * ```
 */
var CircularProgress = function (_React$Component) {
  _inherits(CircularProgress, _React$Component);

  function CircularProgress() {
    _classCallCheck(this, CircularProgress);

    return _possibleConstructorReturn(this, (CircularProgress.__proto__ || Object.getPrototypeOf(CircularProgress)).apply(this, arguments));
  }

  _createClass(CircularProgress, [{
    key: 'render',
    value: function render() {
      var _props = this.props,
          size = _props.size,
          inline = _props.inline,
          center = _props.center;

      var styles = {
        width: size,
        height: size
      };
      if (inline) {
        styles.display = 'inline-block';
        styles.verticalAlign = 'middle';
      }
      if (center) {
        styles.marginLeft = 'auto';
        styles.marginRight = 'auto';
      }

      return _react2.default.createElement(
        'div',
        { className: 'weave-circular-progress-wrapper', style: styles },
        _react2.default.createElement(
          'div',
          { className: 'weave-circular-progress' },
          _react2.default.createElement('div', null)
        )
      );
    }
  }]);

  return CircularProgress;
}(_react2.default.Component);

CircularProgress.propTypes = {
  /** Size of spinner in px */
  size: _propTypes2.default.number,
  /** Whether to display the spinner inline */
  inline: _propTypes2.default.bool,
  /** Whether to center the spinner horizontally */
  center: _propTypes2.default.bool
};

CircularProgress.defaultProps = {
  size: 30,
  inline: false,
  center: false
};

exports.default = CircularProgress;